Summary: Alterator specific http server
Name: ahttpd
Version: 4.1
Release: alt0.M41.2

Packager: Stanislav Ievlev <inger@altlinux.org>

Source0: %name-%version.tar

License: GPL
Group: System/Servers

Requires(pre): cert-sh-functions >= 0.1-alt2 shadow-utils
Requires(post,preun): service
Requires: guile16

Provides: httpd-alterator = %version
Obsoletes: httpd-alterator

Requires: libvhttpd >= 0.3-alt1, libguile-vhttpd >= 0.3-alt1
BuildPreReq: libvhttpd-devel >= 0.3-alt1

# Automatically added by buildreq on Mon Jan 14 2008
BuildRequires: guile16-devel libvhttpd-devel pam_userpass-devel

%description
Alterator specific http server

%prep
%setup -q

%build
%make_build -C chkpwd
%make_build -C server
%make_build -C guile

%install
%makeinstall -C chkpwd
%makeinstall -C server
%makeinstall -C guile

%__install -d %buildroot%_var/run/%name
%__install -d %buildroot%_logdir/%name
%__install -Dpm640 %name.logrotate %buildroot/%_sysconfdir/logrotate.d/%name
%__install -Dpm644 %name.conf %buildroot%_sysconfdir/%name/%name.conf
%__install -Dpm644 acl.conf %buildroot%_sysconfdir/%name/acl.conf
%__install -Dpm755 %name.init %buildroot/%_initrddir/%name
%__install -Dpm640 %name.pamd %buildroot/%_sysconfdir/pam.d/%name

#ghost
touch %buildroot%_sysconfdir/%name/%name.cnf
mkdir -p %buildroot/%_localstatedir/ssl/certs/
touch %buildroot/%_localstatedir/ssl/certs/ahttpd.csr

#groups:
# '_ahttpd' - sgid helper protection
# 'auth' - for shadow files
# 'shadow' in sgid helper - for tcb directories
# '_configd' - for alterator socket

%find_lang alterator-admin

%pre
/usr/sbin/groupadd -r -f _ahttpd
/usr/sbin/groupadd -r -f _configd
/usr/sbin/useradd -r -g _ahttpd -G auth,_configd -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%triggerin -- httpd-alterator
if /sbin/service httpd-alterator status >/dev/null 2>/dev/null; then
    /sbin/service httpd-alterator stop
    /sbin/service ahttpd start
fi ||:

%files
#server
%_sbindir/%name
%_initdir/%name
%_var/run/%name
%attr(750,root,adm) %_logdir/%name
%attr(700,_ahttpd,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/logrotate.d/*
%config(noreplace) %_sysconfdir/%name/%name.conf
%config(noreplace) %_sysconfdir/%name/acl.conf

#auth stuff
%attr(640,root,_ahttpd) %_sysconfdir/pam.d/%name
%attr(710,root,_ahttpd) %dir %_libexecdir/ahttpd
%attr(2711,root,shadow) %_libexecdir/%name/chkpwd

#SSL stuff
%ghost  %config(noreplace) %_sysconfdir/%name/%name.cnf
%ghost  %_localstatedir/ssl/certs/ahttpd.csr

#guile bindings
%_datadir/guile/1.6/%name
%_libdir/libguile-%name.*

%changelog
* Tue Nov 25 2008 Vladislav Zavjalov <slazav@altlinux.org> 4.1-alt0.M41.2
- fix reloading

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.M41.1
- build for 4.1

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 4.1-alt1
- add support for ACL

* Thu Aug 21 2008 Stanislav Ievlev <inger@altlinux.org> 4.0-alt2
- fix server-host function
- fix reloading

* Thu Aug 21 2008 Stanislav Ievlev <inger@altlinux.org> 4.0-alt1
- redesign

* Mon Aug 18 2008 Stanislav Ievlev <inger@altlinux.org> 3.4-alt1
- move daemonize and drop_priv to main library

* Mon Aug 11 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt4.M41.1
- build for 4.1

* Mon Aug 11 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt5
- replace getgrnam_r with getgrnam and getpwnam_r with getpwnam

* Tue Jun 03 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt4
- use configd-cmdline script instead of explicit layout usage

* Sun May 04 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt3
- parse cookie, using vhttpd library

* Thu Mar 20 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt2
- update /language/ url

* Fri Mar 14 2008 Stanislav Ievlev <inger@altlinux.org> 3.3-alt1
- catch SIGPIPE, SIGHUP, SIGSEGV

* Thu Mar 13 2008 Stanislav Ievlev <inger@altlinux.org> 3.2-alt4
- remove extra leading and trailing slashes from uri before processing

* Thu Mar 06 2008 Stanislav Ievlev <inger@altlinux.org> 3.2-alt3
- add static handler for /design urls

* Mon Mar 03 2008 Stanislav Ievlev <inger@altlinux.org> 3.2-alt2
- build for Sisyphus

* Mon Mar 03 2008 Stanislav Ievlev <inger@altlinux.org> 3.2-alt1
- this package is a httpd-alterator replacement now

* Sun Feb 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- s,utf8,utf-8, in headers

* Fri Feb 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- rebuild with vhttpd

* Tue Feb 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- use '%m' instead of strerror

* Mon Feb 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add logging facility

* Fri Feb 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- move all url handlers after auth
- add reload handler

* Wed Jan 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add "if-modified-since" support

* Mon Jan 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
